DirectoryIterator::getMTime
DirectoryIterator::getPath
DirectoryIterator
PHP Manual

# DirectoryIterator::getOwner

(PHP 5)

DirectoryIterator::getOwner — Get owner of current DirectoryIterator item

### Description

public int DirectoryIterator::getOwner ( void )

Get the owner of the current DirectoryIterator item, in numerical format.

### Parameters

This function has no parameters.

### Return Values

The file owner of the file, in numerical format.

### Examples

Example #1 DirectoryIterator::getOwner() example

This example displays the owner of the directory which contains the script.

`<?php
$iterator = new DirectoryIterator(dirname(__FILE__));
print_r(posix_getpwuid($iterator->getOwner()));
?>`

The above example will output something similar to:

    Array
    (
        [name] => tom
        [passwd] => x
        [uid] => 501
        [gid] => 42
        [gecos] => Tom Cat
        [dir] => /home/tom
        [shell] => /bin/bash
    )

### See Also

- DirectoryIterator::getGroup() - Get group for the current DirectoryIterator item
- DirectoryIterator::getiNode() - Get inode for the current DirectoryIterator item
- DirectoryIterator::getPerms() - Get the permissions of current DirectoryIterator item
- posix_getpwuid() - Return info about a user by user id

DirectoryIterator::getMTime
DirectoryIterator::getPath
DirectoryIterator
PHP Manual